Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359234 - Review Request: auter - Prepare and apply updates
Summary: Review Request: auter - Prepare and apply updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ricardo Cordeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 14:53 UTC by Christos Triantafyllidis
Modified: 2016-08-25 16:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 00:17:28 UTC
ricardo.cordeiro: fedora-review+


Attachments (Terms of Use)

Description Christos Triantafyllidis 2016-07-22 14:53:57 UTC
Spec URL: https://fedorapeople.org/~ctria/packaging/auter/auter.spec
SRPM URL: https://fedorapeople.org/~ctria/packaging/auter/auter-0.6-2.fc24.src.rpm
Description: auter (optionally) pre-downloads updates and then runs then automatically on a set schedule, and optionally reboots to finish applying updates.

Fedora Account System Username: ctria

Comment 1 Christos Triantafyllidis 2016-07-22 15:06:46 UTC
Koji scratch builds:
- rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14979889

- f24:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14979891

- f23:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14979893

- epel7:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14979895

- epel6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14979899

rpmlint:
$ rpmlint *
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
auter.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Not sure why non-ghost-in-run is raised for /run/auter but I don't see anything wrong.
The only-non-binary-in-usr-lib is raised due to /usr/lib/tmpfiles.d/auter.conf (which is needed for the tmpfiles.d to auto generate the /run/auter on boot)

This package targets all the supported fedora releases, EPEL6 and EPEL7.

Comment 2 Ricardo Cordeiro 2016-07-31 21:10:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

[!]: The scriptlet in %post and %preun need to return exit 0,
     `/usr/bin/auter --disable` may return a different exit codes,
     which need to be overriden.
     Reference: https://fedoraproject.org/wiki/Packaging:Scriptlets#Syntax

[!]: auter creates /run/auter/auter.pid or /var/run/auter/auter.pid
     which may exist when removing the package. This file should not be
     left behind when uninstalling. A %ghost line should be added for
     these on the %files section and touch included on %install.
     Reference: http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE

Generic:
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/auter,
     /usr/lib/tmpfiles.d

     Discussion: `%dir %{_sysconfdir}/%{name}` is missing from %files

[!]: Package obeys FHS, except libexecdir and /usr/target.

     Discussion: auter's custom scripts are stored under /var/lib/auter.

     "/var/lib's hierarchy holds state information pertaining to an
     application or the system. State information is data that programs
     modify while they run, and that pertains to one specific host. Users
     must never need to modify files in /var/lib to configure a package's
     operation."

     I do not see any functionality in auter to produce these scripts and
     therefore I can only assume that these would either be installed
     through other packages/plugins or produced by the user. In case these
     are installed through plugin/packages a suitable place to store them
     would be under /usr/share/auter hierarchy. On the other hand if the
     user is expected to produce these scripts then they should be stored
     under /etc/auter

[!]: Requires correct, justified where necessary.

     Discussion: /usr/bin/yum should be changed to the actual package it
                 requires. This is, dnf if fedora 18+ or yum otherwise.
     Reference: https://fedoraproject.org/wiki/Packaging:Guidelines#File_Dependencies

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: Permissions on files are set properly.

     Discussion: The guidelines suggest that cronjob files should be given
                 0640 permissions.
     Reference: https://fedoraproject.org/wiki/Packaging:CronFiles?rd=Packaging/CronFiles

[?]: Package consistently uses macros (instead of hard-coded directory
     names).

     Discussion: %{_rundir} could be used in-place of /run, but this is
     not a fail, just a suggestion.

     "Packagers are strongly encouraged to use macros instead of
     hard-coded directory names. However, in situations where the macro
     is longer than the path it represents, or situations where the
     packager feels it is cleaner to use the actual path, the packager is
     permitted to use the actual path instead of the macro."
     Reference: https://fedoraproject.org/wiki/Packaging:Guidelines#Macros

[?]: Package requires other packages for directories it uses.
     
     Discussion: auter Requires: /etc/cron.d instead of crontabs
                 This is not a Pass nor a Fail, merely a suggestion to follow
                 convention as the crontabs packages Requires: /etc/cron.d
     Reference: https://fedoraproject.org/wiki/Packaging:CronFiles?rd=Packaging/CronFiles

[?]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.

     Discussion: systemd-devel does not appear to be necessary. Here are
                 some successful scratch builds without it:

     f23 http://koji.fedoraproject.org/koji/taskinfo?taskID=15064653
     f24 http://koji.fedoraproject.org/koji/taskinfo?taskID=15064680
     f25 http://koji.fedoraproject.org/koji/taskinfo?taskID=15064686
     rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=15064655
     epel7 http://koji.fedoraproject.org/koji/taskinfo?taskID=15064656
     dist-6E-epel-build http://koji.fedoraproject.org/koji/taskinfo?taskID=15072485

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/makerpm/1359234-auter/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[!]: The packaged manual page states version 0.5 although version 0.6 is
     being patched. This can easily be worked around by regenerating the
     man page with help2man and the provided include file.

     help2man --include=auter.help2man --no-info ./auter > auter.man

     This also infringes on the use of pre-generated code.
     "It is suggested, but not required, that such code be regenerated as
     part of the build process."
     Reference: https://fedoraproject.org/wiki/Packaging:Guidelines#Use_of_pregenerated_code

[?]: %doc is not required for files under %{_mandir} and it is conventional to do it without it
     Reference: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Manpages

[?]: Consider adding the NEWS file from upstream to the package to the
     documentation.

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.

     Discussion: The `install` command executions in %install should use
                 the `-p` flag to preserve the files' timestamps.
     Reference: https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: auter-0.6-2.fc26.noarch.rpm
          auter-0.6-2.fc26.src.rpm
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
auter.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Discussion: (see below)


Rpmlint (installed packages)
----------------------------
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Discussion: I agree with Christos that all warnings can be ignored and so
            does FESCo.
            Reference: https://fedorahosted.org/fesco/ticket/525
            Reference: https://fedoraproject.org/wiki/Features/var-run-tmpfs


Requires
--------
auter (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /etc/cron.d
    /usr/bin/yum
    config(auter)



Provides
--------
auter:
    auter
    config(auter)



Source checksums
----------------
https://github.com/rackerlabs/auter/archive/0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 06956767c4ba96e451385e54ed722ec8fab94148a7765d695d50c972bc813d69
  CHECKSUM(SHA256) upstream package : 06956767c4ba96e451385e54ed722ec8fab94148a7765d695d50c972bc813d69


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1359234
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Christos Triantafyllidis 2016-08-04 15:25:30 UTC
Hello,

Thank you for the review.

I've worked with upstream and we have a new version that (hopefully) covers all your points:
https://ctria.fedorapeople.org/packaging/auter/auter.spec
https://ctria.fedorapeople.org/packaging/auter/auter-0.7-1.fc24.noarch.rpm

I've done a scratch build on each release I plan to maintain:
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=15131201
F24: http://koji.fedoraproject.org/koji/taskinfo?taskID=15131205
F23: http://koji.fedoraproject.org/koji/taskinfo?taskID=15131209
EL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=15131216
EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=15131217

The rpmlint output against the installed package, binary package, source package and spec file follows:
$ rpmlint auter auter-0.7-1.fc24.noarch.rpm auter-0.7-1.fc24.src.rpm auter.spec 
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
auter.src: W: spelling-error %description -l en_US pre -> per, ore, pee
3 packages and 1 specfiles checked; 0 errors, 7 warnings.


Cheers,
Christos

Comment 4 Ricardo Cordeiro 2016-08-05 17:05:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

[x]: The scriptlet in %post and %preun need to return exit 0,
[x]: auter creates /run/auter/auter.pid or /var/run/auter/auter.pid
     which may exist when removing the package. This file should not be
     left behind when uninstalling.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[x]: The packaged manual page now shows the correct version and help2man
     is being used to generate the man pages.
[x]: %doc no longer used to install files under %{_mandir}.
[x]: NEWS file added to packaged docs.


Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: auter-0.7-1.fc26.noarch.rpm
          auter-0.7-1.fc26.src.rpm
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
auter.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
auter.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
auter.noarch: W: only-non-binary-in-usr-lib
auter.noarch: W: non-ghost-in-run /run/auter
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
auter (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(auter)
    crontabs
    dnf



Provides
--------
auter:
    auter
    config(auter)



Source checksums
----------------
https://github.com/rackerlabs/auter/archive/0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 29e864670af6496a519743fe6d024c3302be9135bac7fbf942451c051201108d
  CHECKSUM(SHA256) upstream package : 29e864670af6496a519743fe6d024c3302be9135bac7fbf942451c051201108d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n auter -D EPEL6
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH

Comment 5 Ricardo Cordeiro 2016-08-05 17:09:53 UTC
Christos,

The package has passed review. I had in mind both the Fedora and the Fedora EPEL guidelines in mind and therefore you may submit package requests to both projects.

An improvement note, on line 76 of the spec file you may remove the '*' at the end of `%{_mandir}/man1/%{name}.1*` as it is not needed.

Cheers,
Ricardo

Comment 6 Gwyn Ciesla 2016-08-05 17:47:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/auter

Comment 7 Fedora Update System 2016-08-05 22:28:37 UTC
auter-0.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d981f9a8c7

Comment 8 Fedora Update System 2016-08-05 22:29:37 UTC
auter-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd7a541ad1

Comment 9 Fedora Update System 2016-08-05 22:30:42 UTC
auter-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0d025395f

Comment 10 Fedora Update System 2016-08-05 22:31:21 UTC
auter-0.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-71b7677709

Comment 11 Fedora Update System 2016-08-09 01:23:05 UTC
auter-0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd7a541ad1

Comment 12 Fedora Update System 2016-08-09 01:27:07 UTC
auter-0.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d981f9a8c7

Comment 13 Fedora Update System 2016-08-09 02:17:33 UTC
auter-0.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-71b7677709

Comment 14 Fedora Update System 2016-08-09 02:19:32 UTC
auter-0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b0d025395f

Comment 15 Fedora Update System 2016-08-10 00:17:25 UTC
auter-0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-10 07:19:49 UTC
auter-0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-25 13:55:58 UTC
auter-0.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-25 16:19:58 UTC
auter-0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.